<html xmlns:h="http://xmlns.jcp.org/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
<h:head>
    <title>Login</title>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous" />
    <h:outputStylesheet name="/bootstrap/3.3.7/css/bootstrap.min.css" library="webjars"/>
    <h:outputStylesheet name="style.css" library="css"/>

</h:head>
<h:body>
    <h2>Connectez-vous</h2>
    <h3>En quelques clics </h3>
    <br></br>
    <div class="row">
        <nav class="navbar col-lg-offset-1 col-lg-10">
            <div class="container-fluid">
                <div class="navbar-header">
                    <h:outputLink styleClass="navbar-brand" value="index.xhtml"><b>Menu</b></h:outputLink>
                </div>
                <ul class="nav navbar-nav underline">
                    <li><h:outputLink value="">Shop</h:outputLink></li>
                    <li><h:outputLink value="private/profil.xhtml">Profil</h:outputLink></li>
                </ul>
                <nav class="circle-effect">
                    <ul class="nav navbar-nav navbar-right">
                        <li><h:outputLink value="login.xhtml"><i class="fas fa-sign-in-alt"></i> Connexion</h:outputLink></li>
                    </ul>
                </nav>
            </div>
        </nav>
    </div>

    <h:form styleClass="text-center formLogin formStyle">
        <h:panelGrid>
            <h:outputLabel value="Username" for="username"/>
            <h:inputText value="#{userBean.username}" id="username"/>
            <h:outputLabel value="Password" for="password"/>
            <h:inputSecret value="#{userBean.password}" id="password"/> <br />

            <f:facet name="footer">
                <div style="" class="col-lg-offset-1" >
                    <h:commandButton action="#{userBean.login()}" styleClass="btn btn-sm btn-success col-lg-offset-1" value="Login"/>
                    <h:link value="Register" outcome="register" styleClass="btn btn-sm btn-info col-lg-offset-1"/>
                </div>
            </f:facet>
        </h:panelGrid>
    </h:form>
</h:body>
</html>
